Author Topic: Filter spline from selection  (Read 1637 times)

0 Members and 1 Guest are viewing this topic.

matrix2005in

  • Guest
Filter spline from selection
« on: June 29, 2006, 09:39:14 AM »
hi
How i can add spline filter to this given code....
Code: [Select]
(defun C:test (/ SS2)
  (setq ss2 (ssget '((0 . "LWPOLYLINE,POLYLINE,LINE,ARC")
     (-4 . "<NOT")
     (-4 . "&")
     (70 . 1)
     (-4 . "NOT>")
    )
    )
  )

thanks

CAB

  • Global Moderator
  • Seagull
  • Posts: 10401
Re: Filter spline from selection
« Reply #1 on: June 29, 2006, 09:53:06 AM »
This is without spline
Code: [Select]
(setq ss2 (ssget '((0 . "LWPOLYLINE,POLYLINE,LINE,ARC"))))This is with spline
Code: [Select]
(setq ss2 (ssget '((0 . "LWPOLYLINE,POLYLINE,LINE,ARC,SPLINE"))))
I've reached the age where the happy hour is a nap. (°¿°)
Windows 10 core i7 4790k 4Ghz 32GB GTX 970
Please support this web site.

matrix2005in

  • Guest
Re: Filter spline from selection
« Reply #2 on: June 29, 2006, 03:00:23 PM »
Thanks CAB actually i forgot that...

ok here is another ....is there anyway to change this selection method to ssget method?? provided to get the same result...

Code: [Select]
(setq ent (getpoint "\n the left up point"))
  (setq ens (getcorner a "\n the bottom right point"))
  (setq dg (nth 1 ent)
        by (nth 1ens)
  )